Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install php-pdo but it always fails because of php-common

bash-3.2# yum install php-pdo
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * epel: fedora-epel.mirror.lstn.net
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-pdo.i386 0:5.1.6-40.el5_9 set to be updated
--> Processing Dependency: php-common = 5.1.6-40.el5_9 for package: php-pdo
--> Finished Dependency Resolution
php-pdo-5.1.6-40.el5_9.i386 from base has depsolving problems
  --> Missing Dependency: php-common = 5.1.6-40.el5_9 is needed by package php-pdo-5.1.6-40.el5_9.i386 (base)
Error: Missing Dependency: php-common = 5.1.6-40.el5_9 is needed by package php-pdo-5.1.6-40.el5_9.i386 (base)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.

Installing php-common I get:

bash-3.2# yum install php-common
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * epel: fedora-epel.mirror.lstn.net
Setting up Install Process
Package matching php-common-5.1.6-40.el5_9.i386 already installed. Checking for update.
Nothing to do

Searched here and google but couldn't find anything that worked

EDIT: Added new repositories:

bash-3.2# yum install php-common
Loaded plugins: fastestmirror
Repository base is listed more than once in the configuration
Repository addons is listed more than once in the configuration
Repository extras is listed more than once in the configuration
Repository centosplus is listed more than once in the configuration
Repository contrib is listed more than once in the configuration
Loading mirror speeds from cached hostfile
 * addons: mirror.raystedman.net
 * base: mirror.5ninesolutions.com
 * centosplus: mirror.anl.gov
 * contrib: yum.singlehop.com
 * epel: fedora-epel.mirror.lstn.net
 * extras: centos.unmeteredvps.net
 * update: mirror.team-cymru.org
addons                                                   | 1.9 kB     00:00
base                                                     | 1.1 kB     00:00
centosplus                                               | 1.9 kB     00:00
centosplus/primary_db                                    |  53 kB     00:01
contrib                                                  | 1.9 kB     00:00
contrib/primary_db                                       | 1.1 kB     00:00
epel                                                     | 3.6 kB     00:00
extras                                                   | 2.1 kB     00:00
nginx                                                    | 2.5 kB     00:00
update                                                   | 1.9 kB     00:00
update/primary_db                                        |  84 kB     00:04
updates                                                  | 1.9 kB     00:00
Setting up Install Process
Package matching php-common-5.1.6-40.el5_9.i386 already installed. Checking for update.
Nothing to do

And then...

bash-3.2# yum install php-pdo
Loaded plugins: fastestmirror
Repository base is listed more than once in the configuration
Repository addons is listed more than once in the configuration
Repository extras is listed more than once in the configuration
Repository centosplus is listed more than once in the configuration
Repository contrib is listed more than once in the configuration
Loading mirror speeds from cached hostfile
 * addons: mirror.raystedman.net
 * base: centos.mirror.lstn.net
 * centosplus: mirror.anl.gov
 * contrib: yum.singlehop.com
 * epel: fedora-epel.mirror.lstn.net
 * extras: centos.unmeteredvps.net
 * update: mirrors.loosefoot.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-pdo.i386 0:5.1.6-40.el5_9 set to be updated
--> Processing Dependency: php-common = 5.1.6-40.el5_9 for package: php-pdo
--> Finished Dependency Resolution
php-pdo-5.1.6-40.el5_9.i386 from base has depsolving problems
  --> Missing Dependency: php-common = 5.1.6-40.el5_9 is needed by package php-pdo-5.1.6-40.el5_9.i386 (base)
Error: Missing Dependency: php-common = 5.1.6-40.el5_9 is needed by package php-pdo-5.1.6-40.el5_9.i386 (base)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
share|improve this question

2 Answers 2

It looks like you have disabled all repositories besides "epel". You have to enable "base" and "updates" if you want yum to work.

And you should switch to php53* packages on CentOS5.

share|improve this answer

For anyone having the same problem, follow the steps on this website: http://www.rackspace.com/knowledge_center/article/how-to-installupgrade-php-53-for-centos-5x

It worked for me.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.